Package org.apache.tomcat.util.net

## Enum DispatchType

- java.lang.Object
- - java.lang.Enum<DispatchType>
  - - org.apache.tomcat.util.net.DispatchType

All Implemented Interfaces:
  `Serializable`, `Comparable<DispatchType>`

    public enum DispatchType
    extends Enum<DispatchType>

This enumeration lists the different types of dispatches that request processing can trigger. In this instance, dispatch means re-process this request using the given socket status.

### Enum Constant Summary

Enum Constants
`NON_BLOCKING_READ`
`NON_BLOCKING_WRITE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SocketEvent` `getSocketStatus()`
`static DispatchType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DispatchType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NON_BLOCKING_READ

    public static final DispatchType NON_BLOCKING_READ

#### NON_BLOCKING_WRITE

    public static final DispatchType NON_BLOCKING_WRITE

### Method Detail

#### values

    public static DispatchType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DispatchType c : DispatchType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DispatchType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSocketStatus

    public SocketEvent getSocketStatus()